{ lib, buildNimPackage, fetchFromGitea, syndicate }:

buildNimPackage rec {
  pname = "xdg_open_ng";
  version = "0.1.0";
  nimBinOnly = true;

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = pname;
    rev = "${pname}-${version}";
    hash = "sha256-rMf+9KSwmtgpGxipuhplsULvVAgqKBt0n80ygdIr+iQ=";
  };

  propagatedBuildInputs = [ syndicate ];

  postInstall = "mv $out/bin/xdg_open $out/bin/xdg-open";

  meta = src.meta // {
    description = "Replacement for xdg-open that uses Syndicate for messaging.";
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
}
